> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation.md).

# Time-Series Matrix Transformation

"Time-series matrix transformation" is a feature that transforms records stored in a related list of the Salesforce object from list form to matrix form, using a time-series field as an axis, and align them horizontally as same as the fields in the original Salesforce object in the sheet.

In addition, inputted/updated data on the sheet is automatically transformed inversely from matrix form to list form when saving in Salesforce, which makes it possible to establish user-friendly data entry while maintaining the optimal database structure for reporting.

{% hint style="success" %}
Your organization must be enabled the "Matrix Transformation Option" to use this feature. If you wish to use it, please let us know to the sales representative in charge.
{% endhint %}

## [Overview](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/overview.md) <a href="#overview" id="overview"></a>

## [Add Matrix Column](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/add_matrix_column.md) <a href="#add-matrix-column" id="add-matrix-column"></a>

## [Change Matrix Column Setting](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/change_matrix_column_setting.md) <a href="#change-matrix-column-setting" id="change-matrix-column-setting"></a>

## [Show / Hide Column](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/show_hide_column.md) <a href="#hide-show-column" id="hide-show-column"></a>

## [Add Child Columns](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/add_child_column.md) <a href="#add-child-column" id="add-child-column"></a>

## [Delete Child Column](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/delete_child_column.md) <a href="#delete-child-column" id="delete-child-column"></a>

## [Format](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/format.md) <a href="#format" id="format"></a>

## [Limitations](/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation/limitations.md) <a href="#limitations" id="limitations"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/functions_advanced/time_series_matrix_transformation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
